Pagina 1 di 2

Problemi Install.sh o Install-sh

MessaggioInviato: domenica 10 febbraio 2019, 15:56
da ILRichard
Ciao a tutti,
Son gia capitato in questo forum per scrivere alcuni post in passato (e leggo spesso info riguardo mie problematiche). Forse mi si è disabilitato il vecchio account, avevo un altro nick ed è per quello che non sono riuscito ad accedere (era dopo il 2012). Detto questo non ho notato nessuna sezione di benvenuto, se devo presentarmi indicatemi pure dove, no problem.

-----

Ho letto tantissimi forum e ogni volta mi ritrovo a leggerli finché, se non funzionano i comandi, rinuncio al programma e trovo un'alternativa, ma così è scocciante perché non sempre la trovo ed è una grandissima perdita di tempo perché se io voglio installare il programma x che so che è compatibile col mio sistema, perché devo impazzire per ore e ore a cercare un'alternativa che magari poi non è uguale?

I file install.sh o install-sh come si eseguono?

Dato che spesso incontro questo tipo di file e sono 2 anni che uso linux.

Ho provato diverse soluzioni tra cui:
sudo install-sh
sudo install-sh.sh
sudo ./install.sh
chmod +x install-sh o . sh

e anche altri che non mi ricordo.

Io utilizzo linux mint.

Re: Problemi Install.sh o Install-sh

MessaggioInviato: domenica 10 febbraio 2019, 16:06
da wilecoyote
:) Salve, intanto ben ritornato in Ubuntu. :birra:

Poiché il regolamento vieta il multi account, ovvero iscrizioni cloni, contatta l'Amministratoria per sanare la tua posizione, qui i link per contattare gli Admin memberlist.php?mode=group&g=21 .

Per il tuo problema leggi questa wiki AmministrazioneSistema/InstallareProgrammi/DaSorgenti.

Ricordati in futuro di postare di quale programma trattasi da compilare e da dove l'hai scaricato, così di permettere a chi t'aiuta di verificarlo e provarlo.

:ciao: Ciao

Re: Problemi Install.sh o Install-sh

MessaggioInviato: domenica 10 febbraio 2019, 16:08
da pachisapiu
normalmente
Codice: Seleziona tutto
./nomefile
se non è eseguibile si fa prima
Codice: Seleziona tutto
chmod +x nomefile
e poi
Codice: Seleziona tutto
./nomefile
se richiede i permessi di amministrazione
Codice: Seleziona tutto
sudo ./nomefile


PS : assicurati che siano funzionanti ed aggiornati , non tutta la roba trovata a casaccio nel web lo è

Re: Problemi Install.sh o Install-sh

MessaggioInviato: domenica 10 febbraio 2019, 16:32
da Filoteo
Anche se non non vengono richiesti i permessi di amministratore andrebbe evitata l’esecuzione di script a caso: un programma che si installa a livello utente può comunque sottrarre i dati contenuti nella home, quali password, email, documenti, cronologia del browser...

Re: Problemi Install.sh o Install-sh

MessaggioInviato: domenica 10 febbraio 2019, 17:08
da wilecoyote
:) Salve, contatta comunque gli Admin per sistemare, il nickname a ritrovarlo ci pensano loro.

:ciao: Ciao

Re: Problemi Install.sh o Install-sh

MessaggioInviato: domenica 10 febbraio 2019, 18:58
da ILRichard
Allora, io non ho scritto 50 post in questo forum, ne avrò scritti 2 o 3 e saranno passati 5 anni. Quindi trovo normale mi si sia disabilitato l'account e magari cancellato.
E come ho già detto era associato alla mail di questo account, quindi il problema non si pone, giusto?

Il problema che ho io e ora cito ognuno per rispondere ai vostri quesiti è che non riesco, nonostante innumerevoli ricerche ad installare sempre i file install.sh o install-sh. Nonostante abbia già postato per esteso gli standard, continuate a ripetermeli, come se io fossi quello che non sa leggere.

Ho provato diverse soluzioni tra cui:
sudo install-sh
sudo install-sh.sh
sudo ./install.sh
chmod +x install-sh o . sh

e anche altri che non mi ricordo.

Io utilizzo linux mint.


In piu non capisco perché la discussione si è dimezzata, volevo citare delle persone che mi hanno risposto e non le trovo più, vabbe.

In ogni caso uno di voi mi ha chiesto che errore mi da, l'errore che mi da è che il comando non è valido.
Per il resto:

pachisapiu Immagine ha scritto:normalmente
Codice: Seleziona tutto
./nomefile
se non è eseguibile si fa prima
Codice: Seleziona tutto
chmod +x nomefile
e poi
Codice: Seleziona tutto
./nomefile
se richiede i permessi di amministrazione
Codice: Seleziona tutto
sudo ./nomefile


PS : assicurati che siano funzionanti ed aggiornati , non tutta la roba trovata a casaccio nel web lo è


Già provati tutti, come ho scritto sopra.

Quando parlavo di roba sul web non intendevo cose a casaccio, ma forum come questi (o questo medesimo). Non chiedetemi i link perché come ho detto è un'azione che faccio spesso e 7/10 volte non funziona.

Filoteo Immagine ha scritto:Anche se non non vengono richiesti i permessi di amministratore andrebbe evitata l’esecuzione di script a caso: un programma che si installa a livello utente può comunque sottrarre i dati contenuti nella home, quali password, email, documenti, cronologia del browser...

Non capisco il senso, scusa.
Io non installo programmi a caso, ho problemi a eseguire questo tipo di files.


wilecoyote Immagine ha scritto:Per il tuo problema leggi questa wiki AmministrazioneSistema/InstallareProgrammi/DaSorgenti.

Ricordati in futuro di postare di quale programma trattasi da compilare e da dove l'hai scaricato, così di permettere a chi t'aiuta di verificarlo e provarlo.

:ciao: Ciao

In quanto a quel link, l'ho gia letto altre volte, ma non funziona. Credo sia un po' diverso su linux mint.
Di solito per l'update io faccio
sudo apt-get update

solo che se inserisco
sudo apt-get updateb
sudp apt-get update-local

mi da errore

come ho gia detto i programmi sono diversi.
Adesso facciamo l'esempio di uno che mi serve ora che è rufus, scaricabile da questo sito sito

Re: Problemi Install.sh o Install-sh

MessaggioInviato: domenica 10 febbraio 2019, 19:09
da UbuNuovo
Parte dei post sono stati giustamente messi in quarantena per ripetizioni i divagazioni inutili.
Il normale procedimento ti è stato detto, se non funziona bisogna vedere da cosa dipende.
Posta
Codice: Seleziona tutto
ls -l NOMEDELFILE.sh

Naturalmente al posto del maiuscolo metti il vero nome del file da eseguire.
Poi potresti dire che programma stai provando ad installare.
edit: ho visto ora rufus. Gli do un'occhiata.
riedit
Ma rufus non è per Windows?

Ps Se scrivi i comandi errati non funzionano
Codice: Seleziona tutto
sudo apt-get updateb
sudp apt-get update-local

invece di:
Codice: Seleziona tutto
sudo auto-apt update
sudo auto-apt updatedb
sudo auto-apt update-local


A parte questo, rufus è per creare l'immagine da Windows.
Qualche programma per Linux che ti crea problemi?

Re: Problemi Install.sh o Install-sh

MessaggioInviato: domenica 10 febbraio 2019, 19:51
da steff
Aggiungo una cosa banale che forse è fuggito:
comandi del tipo
Codice: Seleziona tutto
./nomefile
ls -lH file
deve essere eseguito con il terminale posizionato nella cartella che contiene il file. All'apertura si trova nella home.
In alternativa si può dare
Codice: Seleziona tutto
~/percorso/al/file

esempio se si è nella home:
Codice: Seleziona tutto
Scaricati/install.sh

Re: Problemi Install.sh o Install-sh

MessaggioInviato: domenica 10 febbraio 2019, 20:17
da pachisapiu
@ILRichard : poche idee e molto confuse ... la guida postata su installazione da sorgenti va benissimo anche per mint , e rufus oltre al fatto giustamente fatto notare da UbuNuovo che è un programma per windows cosa avrebbe a che fare con i file install.sh ???

Re: Problemi Install.sh o Install-sh

MessaggioInviato: domenica 10 febbraio 2019, 20:54
da ILRichard
UbuNuovo Immagine ha scritto:Parte dei post sono stati giustamente messi in quarantena per ripetizioni i divagazioni inutili.
Il normale procedimento ti è stato detto, se non funziona bisogna vedere da cosa dipende.
Posta
Codice: Seleziona tutto
ls -l NOMEDELFILE.sh

Naturalmente al posto del maiuscolo metti il vero nome del file da eseguire.
Poi potresti dire che programma stai provando ad installare.
edit: ho visto ora rufus. Gli do un'occhiata.
riedit
Ma rufus non è per Windows?

Ps Se scrivi i comandi errati non funzionano
Codice: Seleziona tutto
sudo apt-get updateb
sudp apt-get update-local

invece di:
Codice: Seleziona tutto
sudo auto-apt update
sudo auto-apt updatedb
sudo auto-apt update-local


A parte questo, rufus è per creare l'immagine da Windows.
Qualche programma per Linux che ti crea problemi?


Io ho rufus per linux, se vuoi ti passo il file compresso.
Non ci siamo capiti.
Come ho gia detto questi comandi non mi vanno
Codice: Seleziona tutto
sudo auto-apt update
sudo auto-apt updatedb
sudo auto-apt update-local


e dato che presumo che in ubuntu sudo auto-apt update sia per l'update, ho detto fatto presente che in mint io uso sudo apt-get update.
Ho di conseguenza provato
Codice: Seleziona tutto
sudo apt-get updateb
sudp apt-get update-local

e non funzionano.

Codice: Seleziona tutto
ls -l NOMEDELFILE.sh

scusa questo mi era sfuggito, ho provato e mi è venuto fuori questo

Codice: Seleziona tutto
ls -l install-sh
-rwxrwxr-x 1 DIRUSER DIRUSER 13664 dic  5 17:13 install-sh


dove DIRUSER è il nome della mia directory principale sotto home.
Il file è appunto install-sh e non .sh in questo caso. Probabilmente cambia poco ma è come l'ho trovato, una volta aperto il file compresso.

steff Immagine ha scritto:Aggiungo una cosa banale che forse è fuggito:
comandi del tipo
Codice: Seleziona tutto
./nomefile
ls -lH file
deve essere eseguito con il terminale posizionato nella cartella che contiene il file. All'apertura si trova nella home.
In alternativa si può dare
Codice: Seleziona tutto
~/percorso/al/file

esempio se si è nella home:
Codice: Seleziona tutto
Scaricati/install.sh


Si questo lo so grazie, mi posiziono sempre nella cartella dove devo eseguire l'operazione ;)

Re: Problemi Install.sh o Install-sh

MessaggioInviato: domenica 10 febbraio 2019, 21:03
da UbuNuovo
Ti avevo chiesto di postare 'ls' per vedere se tu fossi nella directory giusta e che il file avesse i permessi per essere eseguito ed è tutto ok.
'auto-apt' è un altro programma, non è 'apt-get' e nemmeno 'apt'; lo devi installare con
Codice: Seleziona tutto
sudo apt-get install auto-apt
.

Dal link che hai postato ho letto che era richiesto Windows; se c 'è una versione per Linux dammi il link in modo da poter provare ad installarla.

Re: Problemi Install.sh o Install-sh

MessaggioInviato: domenica 10 febbraio 2019, 21:05
da steff
E cosa risponde il terminale quando dai
Codice: Seleziona tutto
./install-sh
?

Re: Problemi Install.sh o Install-sh

MessaggioInviato: domenica 10 febbraio 2019, 21:15
da ILRichard
steff Immagine ha scritto:E cosa risponde il terminale quando dai
Codice: Seleziona tutto
./install-sh
?

Codice: Seleziona tutto
~/Scaricati/rufus-3.4 $ ./install-sh
./install-sh: no input file specified.

Re: Problemi Install.sh o Install-sh

MessaggioInviato: domenica 10 febbraio 2019, 21:18
da ILRichard
UbuNuovo Immagine ha scritto:Ti avevo chiesto di postare 'ls' per vedere se tu fossi nella directory giusta e che il file avesse i permessi per essere eseguito ed è tutto ok.
'auto-apt' è un altro programma, non è 'apt-get' e nemmeno 'apt'; lo devi installare con
Codice: Seleziona tutto
sudo apt-get install auto-apt
.

Dal link che hai postato ho letto che era richiesto Windows; se c 'è una versione per Linux dammi il link in modo da poter provare ad installarla.


Codice: Seleziona tutto
sudo apt-get install auto-apt
[sudo] password di USER:
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
  linux-headers-4.4.0-141 linux-headers-4.4.0-141-generic
Usare "sudo apt autoremove" per rimuoverli.
Pacchetti suggeriti:
  libgtk-perl
Pacchetti raccomandati:
  devscripts
I seguenti pacchetti NUOVI saranno installati:
  auto-apt
0 aggiornati, 1 installati, 0 da rimuovere e 105 non aggiornati.
6 non completamente installati o rimossi.
È necessario scaricare 43,2 kB di archivi.
Dopo quest'operazione, verranno occupati 215 kB di spazio su disco.
Scaricamento di:1 http://archive.ubuntu.com/ubuntu xenial/universe amd64 auto-apt amd64 0.3.24 [43,2 kB]
Recuperati 43,2 kB in 0s (149 kB/s)
Selezionato il pacchetto auto-apt non precedentemente selezionato.
(Lettura del database... 842606 file e directory attualmente installati.)
Preparativi per estrarre .../auto-apt_0.3.24_amd64.deb...
Estrazione di auto-apt (0.3.24)...
Elaborazione dei trigger per man-db (2.7.5-1)...
Configurazione di friendly-recovery (0.2.31ubuntu2)...
/usr/sbin/grub-mkconfig: 11: /etc/default/grub: sbcore.autosuspend=-1: not found
dpkg: errore nell'elaborare il pacchetto friendly-recovery (--configure):
 il sottoprocesso installato script di post-installation ha restituito lo stato di errore 127
Configurazione di linux-image-4.15.0-45-generic (4.15.0-45.48~16.04.1)...
Configurazione di mysql-common (5.7.25-0ubuntu0.16.04.2)...
update-alternatives: errore: il percorso alternativo /etc/mysql/my.cnf.fallback non esiste
dpkg: errore nell'elaborare il pacchetto mysql-common (--configure):
 il sottoprocesso installato script di post-installation ha restituito lo stato di errore 2
dpkg: problemi con le dipendenze impediscono la configurazione di mysql-client-5.7:
 mysql-client-5.7 dipende da mysql-common (>= 5.5); comunque:
  Il pacchetto mysql-common non è ancora configurato.

dpkg: errore nell'elaborare il pacchetto mysql-client-5.7 (--configure):
 problemi con le dipendenze - lasciato non configurato
dpkg: problemi con le dipendenze impediscono la configurazione di mysql-client:
 mysql-client dipende da mysql-client-5.7; comunque:
  Il pacchetto mysql-client-5.7 non è ancora configurato.

dpkg: errore nell'elaborare il pacchetto mysql-client (--configure):
 problemi con le dipendenze - lasciato non configurato
dpkg: problemi con le dipendenze impediscono la configurazione di wordpress:
 wordpress dipende da mysql-client | mariadb-client; comunque:
  Il pacchetto mysql-client non è ancora configurato.
  Il pacchetto mariadb-client non è installato.

dpkg: errore nell'elaborare il pacchetto wordpress (--configure):
 problemi con le dipendenze - lasciato non configurato
Configurazione di auto-apt (0.3.24)...
Elaborazione dei trigger per linux-image-4.15.0-45-generic (4.15.0-45.48~16.04.1)...
/etc/kernel/postinst.d/dkms:
Error! Could not locate dkms.conf file.
File:  does not exist.
Error! Bad return status for module build on kernel: 4.15.0-45-generic (x86_64)
Consult /var/lib/dkms/anbox/1/build/make.log for more information.
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.15.0-45-generic
W: Possible missing firmware /lib/firmware/i915/kbl_guc_ver9_14.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_guc_ver8_7.bin for module i915
Warning: No support for locale: it_IT.utf8
/etc/kernel/postinst.d/zz-update-grub:
/usr/sbin/grub-mkconfig: 11: /etc/default/grub: sbcore.autosuspend=-1: not found
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 127
dpkg: errore nell'elaborare il pacchetto linux-image-4.15.0-45-generic (--configure):
 il sottoprocesso installato script di post-installation ha restituito lo stato di errore 1
Si sono verificati degli errori nell'elaborazione:
 friendly-recovery
 mysql-common
 mysql-client-5.7
 mysql-client
 wordpress
 linux-image-4.15.0-45-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)


ammetto che E: Sub-process /usr/bin/dpkg returned an error code (1) mel'ha gia dato altre volte, ultimamente, con le installazioni. Probabilmente è dovuto anche a quello o no?

In due post precedenti a questo comunque ho postato un allegato che visualizza la cartella di rufus in linux
Qui puoi scaricare l'applicativo per linux

(scusate per i due post di seguito)

Re: Problemi Install.sh o Install-sh

MessaggioInviato: domenica 10 febbraio 2019, 21:25
da UbuNuovo
Per l'errore di install:
Devi scriver il nome di un dato file subito dopo il comando
Codice: Seleziona tutto
./install-sh NOME_DEL_FILE

leggi il file readme per sapere qual è

Il pacchetto dovrebbe averlo installato ma hai un bel po' di casini! Devi configurare mysql, di conseguenza non va wordpress ma hai anche problemi con il kernel, dkms....

Re: Problemi Install.sh o Install-sh

MessaggioInviato: domenica 10 febbraio 2019, 21:31
da OMBRA_Linux
Basta trascinarlo nel Terminale anteponendo il comando
Codice: Seleziona tutto
sudo

dai invio e parte l'installazione.

Edit: In alternativa sempre da Terminale puoi scrivere il percorso sempre con i privilegi di amministratore.
Come terza alternativa puoi installare l'intero pacchetto scaricato con l'opzione ( GDebi )

Re: Problemi Install.sh o Install-sh

MessaggioInviato: domenica 10 febbraio 2019, 21:33
da pachisapiu
@ ILRichard Non è rufus per linux , infatti se provi a compilarlo ti da come errore
Codice: Seleziona tutto
libbb.h:20:2: error: #error Only Windows platforms are supported
 #error Only Windows platforms are supported

Re: Problemi Install.sh o Install-sh

MessaggioInviato: domenica 10 febbraio 2019, 21:35
da ILRichard
UbuNuovo Immagine ha scritto:Per l'errore di install:
Devi scriver il nome di un dato file subito dopo il comando
Codice: Seleziona tutto
./install-sh NOME_DEL_FILE

leggi il file readme per sapere qual è

Il pacchetto dovrebbe averlo installato ma hai un bel po' di casini! Devi configurare mysql, di conseguenza non va wordpress ma hai anche problemi con il kernel, dkms....


Si lo so che ho un po' di problemini, ma su programmi che non uso. Infatti mi chiedevo se quel E: .... era dovuto a questi programmi (così al massimo li disinstallo tutti) o no.
Gli aggiornamenti del kernel e gli altri riesco a portarli a buon fine e farli tutti in genere.

Questo è il file readme, io non trovo il nome del file. Sarà configure?
Rufus: The Reliable USB Formatting Utility
==========================================

[![Build status](https://img.shields.io/appveyor/ci/pbat ... lat-square)](https://ci.appveyor.com/project/pbatard/rufus)
[![Coverity Scan Build Status](https://img.shields.io/coverity/scan/21 ... lat-square)](https://scan.coverity.com/projects/pbatard-rufus)
[![Build contributors](https://img.shields.io/github/contribut ... lat-square)](https://github.com/pbatard/rufus/graphs/contributors)
[![Licence](https://img.shields.io/badge/license-GP ... lat-square)](https://www.gnu.org/licenses/gpl-3.0.en.html)

![Rufus logo](https://raw.githubusercontent.com/pbata ... us-128.png)

Features
--------

* Format USB, flash card and virtual drives to FAT/FAT32/NTFS/UDF/exFAT/ReFS
* Create DOS bootable USB drives, using [FreeDOS](http://www.freedos.org) or MS-DOS (Windows 8.1 or earlier)
* Create BIOS or UEFI bootable drives, including [UEFI bootable NTFS](https://github.com/pbatard/uefi-ntfs)
* Create bootable drives from bootable ISOs (Windows, Linux, etc.)
* Create bootable drives from bootable disk images, including compressed ones
* Create [Windows To Go](https://en.wikipedia.org/wiki/Windows_To_Go) drives
* Compute MD5, SHA-1 and SHA-256 checksums of the selected image
* Twice as fast as Microsoft's USB/DVD tool or UNetbootin, on ISO -> USB creation <sup>(1)</sup>
* Perform bad blocks checks, including detection of "fake" flash drives
* Modern and familiar UI, with [39 languages natively supported](https://github.com/pbatard/rufus/wiki/F ... d_by_Rufus)
* Small footprint. No installation required.
* Portable
* 100% [Free Software](https://www.gnu.org/philosophy/free-sw) ([GPL v3](https://www.gnu.org/licenses/gpl-3.0))

Compilation
-----------

Use either Visual Studio 2017 (version 15.8 or later with SDK 10.0.17134 installed) or MinGW and
then invoke the `.sln` or `configure`/`make` respectively.

#### Visual Studio
Note that, since Rufus is an OSI compliant Open Source project, you are entitled to
download and use the *freely available* [Visual Studio Community Edition](https://www.visualstudio.com/vs/community/)
to build, run or develop for Rufus. As per the Visual Studio Community Edition license
this applies regardless of whether you are an individual or a corporate user.

Additional information
----------------------

Rufus provides extensive information about what it is doing, either through its
easily accessible log, or through the [Windows debug facility](https://docs.microsoft.com/en-us/sysint ... /debugview).

* [__Official Website__](https://rufus.ie)
* [FAQ](https://github.com/pbatard/rufus/wiki/FAQ)

Enhancements/Bugs
-----------------

Please use the [GitHub issue tracker](https://github.com/pbatard/rufus/issues)
for reporting problems or suggesting new features.


<sup>(1)</sup> Tests carried out with a 16 GB USB 3.0 ADATA pen drive on a Core 2 duo/4 GB RAM platform running Windows 7 x64.
ISO: `en_windows_7_ultimate_with_sp1_x64_dvd_618240.iso`

| Name of tool | Version | Time |
| ------------ | ------- | ---- |
| [Windows USB/DVD Download Tool](https://www.microsoft.com/en-us/downloa ... nload-tool) | v1.0.30 | 8 mins 10s |
| [UNetbootin](https://unetbootin.github.io) | v1.1.1.1 | 6 mins 20s |
| **Rufus** | v1.1.0 | **3 mins 25s** |


pachisapiu Immagine ha scritto:@ ILRichard Non è rufus per linux , infatti se provi a compilarlo ti da come errore
Codice: Seleziona tutto
libbb.h:20:2: error: #error Only Windows platforms are supported
 #error Only Windows platforms are supported

Leggi il mio post precedente a questo dove, in fondo, ho messo il link per scaricare rufus per linux.

Voglio ricordare che rufus era solo per fare un esempio. Io volevo infatti sapere come eseguire l'installazione dei file install.sh e install-sh, visto che diverse volte (lo ripeto) ho provato e statisticamente 7 su 10 volte non riesco. Nonostante abbia provato i classici comandi come:
Codice: Seleziona tutto
sudo install-sh
sudo install-sh.sh
sudo ./install.sh
chmod +x install-sh o . sh

e anche altri che non mi ricordo.

Re: Problemi Install.sh o Install-sh

MessaggioInviato: domenica 10 febbraio 2019, 21:37
da pachisapiu
ILRichard Immagine ha scritto:Leggi il mio post precedente a questo dove, in fondo, ho messo il link per scaricare rufus per linux.

è proprio da lì che l'ho scaricato ...
ILRichard Immagine ha scritto:Voglio ricordare che rufus era solo per fare un esempio..

Ma hai fatto un esempio sbagliato essendo un programma per windows

Re: Problemi Install.sh o Install-sh

MessaggioInviato: domenica 10 febbraio 2019, 21:45
da UbuNuovo
Dal readme:
Use either Visual Studio 2017 (version 15.8 or later with SDK 10.0.17134 installed) or MinGW


(MinGW: A native Windows port of the GNU Compiler Collection (GCC))
È per Windows!
Lo script è del 2009, richiede un file da leggere e una destinazione, non ci sono istruzioni che riguardino Linux e il file install-sh.
Dove hai trovato il link?